Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jta.hibernate3
Class AtomikosConnectionProvider

    java.lang.Object
      com.atomikos.icatch.jta.hibernate3.AtomikosConnectionProvider

All Implemented Interfaces:
  org.hibernate.connection.ConnectionProvider

    public class AtomikosConnectionProvider

extends Object
implements org.hibernate.connection.ConnectionProvider

Atomikos-specific ConnectionProvider implementation that can create Atomikos connection pools directly from the Hibernate configuration.

To use the AtomikosConnectionProvider specify this class as the value of the hibernate.connection.provider_class of the hibernate configuration properties.
You then have to configure the `AtomikosDataSourceBean` properties by prefixing them with hibernate.connection.atomikos.
Eg: hibernate.connection.atomikos.uniqueResourceName
hibernate.connection.atomikos.xaDataSourceClassName
hibernate.connection.atomikos.xaProperties.databaseName
...
Add a hibernate.connection.atomikos.nonxa=true property if you want to configure a `AtomikosNonXADataSourceBean` instead.

NOTE: if you use the Hibernate XML config mechanism, then the prefix should be connection.atomikos instead (without hibernate prefix).

Author:
  Ludovic Orban

Constructor Summary
`AtomikosConnectionProvider()`

Method Summary
`void` | `close()`
`void` | `closeConnection(Connection connection)`
`void` | `configure(Properties props)`
`Connection` | `getConnection()`
`boolean` | `supportsAggressiveRelease()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtomikosConnectionProvider

    public AtomikosConnectionProvider()

Method Detail

### close

    public void close()
               throws org.hibernate.HibernateException

  Specified by:
    `close` in interface `org.hibernate.connection.ConnectionProvider`
  Throws:
    `org.hibernate.HibernateException`

### closeConnection

    public void closeConnection(Connection connection)
                         throws SQLException

  Specified by:
    `closeConnection` in interface `org.hibernate.connection.ConnectionProvider`
  Throws:
    `SQLException`

### configure

    public void configure(Properties props)
                   throws org.hibernate.HibernateException

  Specified by:
    `configure` in interface `org.hibernate.connection.ConnectionProvider`
  Throws:
    `org.hibernate.HibernateException`

### getConnection

    public Connection getConnection()
                             throws SQLException

  Specified by:
    `getConnection` in interface `org.hibernate.connection.ConnectionProvider`
  Throws:
    `SQLException`

### supportsAggressiveRelease

    public boolean supportsAggressiveRelease()

  Specified by:
    `supportsAggressiveRelease` in interface `org.hibernate.connection.ConnectionProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.